Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.state
Class AbstractPropertyMap<IK,IV>

    java.lang.Object
      org.jboss.portal.common.util.AbstractTypedMap<EK,EV,IK,IV>
          org.jboss.portal.common.util.TypedMap<java.lang.String,java.util.List<java.lang.String>,IK,IV>
              org.jboss.portal.portlet.state.AbstractPropertyMap<IK,IV>

All Implemented Interfaces:
  java.util.Map<java.lang.String,java.util.List<java.lang.String>>, PropertyMap

Direct Known Subclasses:
  SimplePropertyMap

    public class AbstractPropertyMap<IK,IV>

extends org.jboss.portal.common.util.TypedMap<java.lang.String,java.util.List<java.lang.String>,IK,IV>
implements PropertyMap

Version:
  $Revision: 6643 $
Author:
  Julien Viet

Nested Class Summary

Nested classes/interfaces inherited from class org.jboss.portal.common.util.AbstractTypedMap
`org.jboss.portal.common.util.AbstractTypedMap.Converter<E,I>`

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Constructor Summary
`AbstractPropertyMap(java.util.Map<IK,IV> map, org.jboss.portal.common.util.AbstractTypedMap.Converter<java.lang.String,IK> keyConverter, org.jboss.portal.common.util.AbstractTypedMap.Converter<java.util.List<java.lang.String>,IV> valueConverter)`

Method Summary
`java.util.List<java.lang.String>` | `getProperty(java.lang.String key)` Return the value for the given key or null if it does not exist.
`void` | `setProperty(java.lang.String key, java.util.List<java.lang.String> value)` Update the value of the given key.

Methods inherited from class org.jboss.portal.common.util.TypedMap
`getDelegate, getKeyConverter, getValueConverter`

Methods inherited from class org.jboss.portal.common.util.AbstractTypedMap
`clear, containsKey, containsValue, convert, entrySet, equals, get, isEmpty, keySet, put, putAll, remove, replace, size, toString, validate, values`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Constructor Detail

### AbstractPropertyMap

    public AbstractPropertyMap(java.util.Map<IK,IV> map,
                               org.jboss.portal.common.util.AbstractTypedMap.Converter<java.lang.String,IK> keyConverter,
                               org.jboss.portal.common.util.AbstractTypedMap.Converter<java.util.List<java.lang.String>,IV> valueConverter)

Method Detail

### getProperty

    public java.util.List<java.lang.String> getProperty(java.lang.String key)
                                                 throws java.lang.IllegalArgumentException

  Description copied from interface: `PropertyMap`
  Return the value for the given key or null if it does not exist.

  Specified by:
    `getProperty` in interface `PropertyMap`
  Parameters:
    `key` - the requested key
  Returns:
    the requested value or null if it does not exist
  Throws:
    `java.lang.IllegalArgumentException` - if the key is null

### setProperty

    public void setProperty(java.lang.String key,
                            java.util.List<java.lang.String> value)
                     throws java.lang.IllegalArgumentException

  Description copied from interface: `PropertyMap`
  Update the value of the given key. If the value object is null it means that the entry must be removed. Implementation can throw an unsupported operation exception when it is abnormal to perform an update.

  Specified by:
    `setProperty` in interface `PropertyMap`
  Parameters:
    `key` - the key to update
    `value` - the new value
  Throws:
    `java.lang.IllegalArgumentException` - if the key is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.